Project

General

Profile

Bug #15769

Backport r67563: SNI is not enabled in Net::IMAP

Added by knu (Akinori MUSHA) over 1 year ago. Updated about 1 year ago.

Status:
Closed
Priority:
Normal
Target version:
-
[ruby-core:92292]

Description

Net::IMAP should enable SNI for it to be able to connect to SNI enabled servers like imap.gmail.com. (Gmail started to require SNI last year)

This problem is exposed when the underlying SSL library supports TLSv1.3, such as OpenSSL >=1.1.x.


Related issues

Related to Ruby master - Feature #15594: [PATCH] net/imap: support SNIClosedshugo (Shugo Maeda)Actions
Has duplicate Ruby master - Bug #16028: Backport r67563: SNI is not enabled in Net::IMAPClosedusa (Usaku NAKAMURA)Actions
#1

Updated by naruse (Yui NARUSE) over 1 year ago

#2

Updated by naruse (Yui NARUSE) over 1 year ago

  • Status changed from Open to Closed

Updated by naruse (Yui NARUSE) over 1 year ago

  • Backport changed from 2.4: REQUIRED, 2.5: REQUIRED, 2.6: REQUIRED to 2.4: REQUIRED, 2.5: REQUIRED, 2.6: DONE

ruby_2_6 r67565 merged revision(s) 67563.

#4

Updated by hone (Terence Lee) about 1 year ago

  • Related to Bug #16028: Backport r67563: SNI is not enabled in Net::IMAP added
#5

Updated by nobu (Nobuyoshi Nakada) about 1 year ago

  • Has duplicate Bug #16028: Backport r67563: SNI is not enabled in Net::IMAP added
#6

Updated by nobu (Nobuyoshi Nakada) about 1 year ago

  • Related to deleted (Bug #16028: Backport r67563: SNI is not enabled in Net::IMAP)

Updated by usa (Usaku NAKAMURA) about 1 year ago

  • Backport changed from 2.4: REQUIRED, 2.5: REQUIRED, 2.6: DONE to 2.4: REQUIRED, 2.5: DONE, 2.6: DONE

ruby_2_5 r67717 merged revision(s) 67563.

Also available in: Atom PDF